aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/init.d/rawdevices4
-rwxr-xr-xrc.d/rc.sysinit8
2 files changed, 1 insertions, 11 deletions
diff --git a/rc.d/init.d/rawdevices b/rc.d/init.d/rawdevices
index 2d9d2cfb..b55fa14f 100755
--- a/rc.d/init.d/rawdevices
+++ b/rc.d/init.d/rawdevices
@@ -10,12 +10,10 @@
# the file /etc/sysconfig/rawdevices.
# config: /etc/sysconfig/rawdevices
-PATH=/usr/bin:/bin:/usr/sbin:/sbin
-
[ -f /usr/bin/raw ] || exit 0
[ -f /etc/sysconfig/rawdevices ] || exit 0
# Exit if the file just has the default comments.
-grep -q -v "^#" /etc/sysconfig/rawdevices 2>/dev/null || exit 0
+/bin/grep -q -v "^#" /etc/sysconfig/rawdevices 2>/dev/null || exit 0
. /etc/init.d/functions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 0d0786b1..fe1148ef 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -13,23 +13,16 @@ fi
# If we're using devfs, start devfsd now - we need the old device names
[ -e /dev/.devfsd -a -x /sbin/devfsd ] && /sbin/devfsd /dev
-PATH=/bin:/sbin:/usr/bin:/usr/sbin
-export PATH
-
HOSTNAME=`/bin/hostname`
-
-# Read in config data.
if [ -f /etc/sysconfig/network ]; then
. /etc/sysconfig/network
else
NETWORKING=no
fi
-
if [ -z "$HOSTNAME" -o "$HOSTNAME" = "(none)" ]; then
HOSTNAME=localhost
fi
-# Source functions
. /etc/init.d/functions
# Print a banner. ;)
@@ -54,7 +47,6 @@ fi
/bin/dmesg -n $LOGLEVEL
# Mount /proc (done here so volume labels can work with fsck)
-
action $"Mounting proc filesystem: " mount -n -t proc /proc /proc
# Unmount the initrd, if necessary